import { ComponentFixture, TestBed } from '@angular/core/testing';

import { SummaryCardComponent } from './summary-card.component';
import {AppModule} from '../../../app.module';
import {MatIconTestingModule} from '@angular/material/icon/testing';
import {CarePlanService} from '../../../api/care-plan.service';
import {DirtyGuard} from '../../../confirm-navigation-if-dirty.framework';
import {ActivitiesService} from '../../../activities/activities.service';
import {of} from 'rxjs/internal/observable/of';

describe('SummaryCardComponent', () => {
  let component: SummaryCardComponent;
  let fixture: ComponentFixture<SummaryCardComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [ SummaryCardComponent ],
      imports: [AppModule, MatIconTestingModule],
      providers: [
        {provide: ActivitiesService, useValue: of(false)}
      ]
    })
    .compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(SummaryCardComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
