import { TestBed } from '@angular/core/testing';

import { LocalStorageService } from './local-storage.service';
import {WindowService} from './window.service';

describe('LocalStorageService', () => {
  let service: LocalStorageService;

  let windowServiceStub: WindowService;

  beforeEach(() => {

    windowServiceStub = {nativeWindow: () => ({
          document: {cookie: ''},
          localStorage: {getItem: () => null, setItem: () => undefined}}
      )} as any;

    TestBed.configureTestingModule({
      providers: [{provider: WindowService, useValue: windowServiceStub}]
    });
    service = TestBed.inject(LocalStorageService);
  });

  it('should be created', () => {
    expect(service).toBeTruthy();
  });
});
